# types.h File Reference

## Detailed Description

Basic types and typedefs. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file types.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_TYPES_H

## Typedefs

- typedef short __gnu_parallel::int16
- typedef int __gnu_parallel::int32
- typedef long long __gnu_parallel::int64
- typedef int64 __gnu_parallel::lcas_t
- typedef uint64 __gnu_parallel::sequence_index_t
- typedef uint16 __gnu_parallel::thread_index_t
- typedef unsigned short __gnu_parallel::uint16
- typedef unsigned int __gnu_parallel::uint32
- typedef unsigned long long __gnu_parallel::uint64

## Enumerations

- enum __gnu_parallel::_AlgorithmStrategy { heuristic, force_sequential, force_parallel }
- enum __gnu_parallel::_FindAlgorithm { GROWING_BLOCKS, CONSTANT_SIZE_BLOCKS, EQUAL_SPLIT }
- enum __gnu_parallel::_MultiwayMergeAlgorithm {
  BUBBLE, LOSER_TREE_EXPLICIT, LOSER_TREE, LOSER_TREE_COMBINED,
  LOSER_TREE_SENTINEL, ENUM_SENTINEL
  }
- enum __gnu_parallel::_Parallelism {
  __gnu_parallel::sequential, __gnu_parallel::parallel_unbalanced, __gnu_parallel::parallel_balanced, __gnu_parallel::parallel_omp_loop,
  __gnu_parallel::parallel_omp_loop_static, __gnu_parallel::parallel_taskqueue
  }
- enum __gnu_parallel::_PartialSumAlgorithm { RECURSIVE, LINEAR }
- enum __gnu_parallel::_SortAlgorithm { MWMS, QS, QS_BALANCED }
- enum __gnu_parallel::_SplittingAlgorithm { SAMPLING, EXACT }

## Variables

- static const int __gnu_parallel::lcas_t_bits
- static const lcas_t __gnu_parallel::lcas_t_mask